package com.hzya.frame.sys.entity;


public class TemplateSaveFields {

		/** 字段名称 */
	private String fieldsName;
	/** 字段备注 */
	private String fieldsRemark;
	/** 类型 */
	private String fieldsType;
		/** 长度 */
	private String fieldsLength;
	/** 是否必填 */
	private String fieldsRequired;
	/** 是否唯一性 */
	private String fieldsSole;
	/** 属性 */
	private TemplateSaveFieldsOption fieldsOption;
	public String getFieldsName() {
		return fieldsName;
	}

	public void setFieldsName(String fieldsName) {
		this.fieldsName = fieldsName;
	}

	public String getFieldsRemark() {
		return fieldsRemark;
	}

	public void setFieldsRemark(String fieldsRemark) {
		this.fieldsRemark = fieldsRemark;
	}

	public String getFieldsType() {
		return fieldsType;
	}

	public void setFieldsType(String fieldsType) {
		this.fieldsType = fieldsType;
	}

	public String getFieldsLength() {
		return fieldsLength;
	}

	public void setFieldsLength(String fieldsLength) {
		this.fieldsLength = fieldsLength;
	}

	public TemplateSaveFieldsOption getFieldsOption() {
		return fieldsOption;
	}

	public void setFieldsOption(TemplateSaveFieldsOption fieldsOption) {
		this.fieldsOption = fieldsOption;
	}

	public String getFieldsRequired() {
		return fieldsRequired;
	}

	public void setFieldsRequired(String fieldsRequired) {
		this.fieldsRequired = fieldsRequired;
	}

	public String getFieldsSole() {
		return fieldsSole;
	}

	public void setFieldsSole(String fieldsSole) {
		this.fieldsSole = fieldsSole;
	}

	public TemplateSaveFields() {
	}

	public TemplateSaveFields(String fieldsName, String fieldsRemark, String fieldsType, String fieldsLength, String fieldsRequired, String fieldsSole) {
		this.fieldsName = fieldsName;
		this.fieldsRemark = fieldsRemark;
		this.fieldsType = fieldsType;
		this.fieldsLength = fieldsLength;
		this.fieldsRequired = fieldsRequired;
		this.fieldsSole = fieldsSole;
	}

	public TemplateSaveFields(String fieldsName, String fieldsRemark, String fieldsType, String fieldsLength, String fieldsRequired, String fieldsSole, TemplateSaveFieldsOption fieldsOption) {
		this.fieldsName = fieldsName;
		this.fieldsRemark = fieldsRemark;
		this.fieldsType = fieldsType;
		this.fieldsLength = fieldsLength;
		this.fieldsRequired = fieldsRequired;
		this.fieldsSole = fieldsSole;
		this.fieldsOption = fieldsOption;
	}
}
